summaryrefslogtreecommitdiff
path: root/dev-python/PyQtWebEngine
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/PyQtWebEngine
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/PyQtWebEngine')
-rw-r--r--dev-python/PyQtWebEngine/Manifest2
-rw-r--r--dev-python/PyQtWebEngine/PyQtWebEngine-5.14.0.ebuild75
-rw-r--r--dev-python/PyQtWebEngine/PyQtWebEngine-5.15.0.ebuild75
-rw-r--r--dev-python/PyQtWebEngine/metadata.xml28
4 files changed, 180 insertions, 0 deletions
diff --git a/dev-python/PyQtWebEngine/Manifest b/dev-python/PyQtWebEngine/Manifest
new file mode 100644
index 000000000000..b4d308225b65
--- /dev/null
+++ b/dev-python/PyQtWebEngine/Manifest
@@ -0,0 +1,2 @@
+DIST PyQtWebEngine-5.14.0.tar.gz 47794 BLAKE2B 28f4a577ab5d8c1bea439b11e836008d27b4a49f31f230885013b515147a95c97e398328d1fc3a99619c3fd6eca3da7e94bf5873de9ac6511e0f59e467d4490c SHA512 c5274ce5ba1c80c6851971c3e18acf33121cd5863f613bd1789fdb40323b52429b55b54f3dcbb3127c85343e11f14c004ad54711b2b59cab95fd440f90fe5f2e
+DIST PyQtWebEngine-5.15.0.tar.gz 48308 BLAKE2B 18a0b83c245a738f144cb21ddc483646099dc6469b0ecfe634d0341c555db17724cb97901082d2d93668a9e64b9163496afba8d7928f8e49013bcdcdb3747105 SHA512 9bc74e4c7c49a42a5a1a75c75cf14d30e7e9202b6f98591d79dd7f47d44909a1c95a1b38cd47adc8182429c43d1d45d90b2c3d0f105b90ed7ebfbb33a2622322
diff --git a/dev-python/PyQtWebEngine/PyQtWebEngine-5.14.0.ebuild b/dev-python/PyQtWebEngine/PyQtWebEngine-5.14.0.ebuild
new file mode 100644
index 000000000000..7846273daf9f
--- /dev/null
+++ b/dev-python/PyQtWebEngine/PyQtWebEngine-5.14.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6..9} )
+inherit python-r1 qmake-utils
+
+DESCRIPTION="Python bindings for QtWebEngine"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/intro"
+
+MY_P=${PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~arm arm64 x86"
+IUSE="debug"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-python/PyQt5-5.13.1[gui,network,printsupport,ssl,webchannel,widgets,${PYTHON_USEDEP}]
+ >=dev-python/PyQt5-sip-4.19.22:=[${PYTHON_USEDEP}]
+ dev-qt/qtcore:5
+ dev-qt/qtwebengine:5[widgets]
+"
+DEPEND="${RDEPEND}
+ ~dev-python/sip-4.19.22[${PYTHON_USEDEP}]
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+ configuration() {
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ --qmake="$(qt5_get_bindir)"/qmake
+ $(usex debug '--debug --trace' '')
+ --verbose
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+
+ # Fix parallel install failure
+ sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_api' \
+ ${PN}.pro || die
+
+ # Run eqmake to respect toolchain and build flags
+ eqmake5 -recursive ${PN}.pro
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ emake INSTALL_ROOT="${D}" install
+ python_optimize
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+}
diff --git a/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.0.ebuild b/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.0.ebuild
new file mode 100644
index 000000000000..4d322572d51e
--- /dev/null
+++ b/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6..9} )
+inherit python-r1 qmake-utils
+
+DESCRIPTION="Python bindings for QtWebEngine"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/intro"
+
+MY_P=${PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="debug"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-python/PyQt5-5.14[gui,network,printsupport,ssl,webchannel,widgets,${PYTHON_USEDEP}]
+ >=dev-python/PyQt5-sip-4.19.22:=[${PYTHON_USEDEP}]
+ dev-qt/qtcore:5
+ dev-qt/qtwebengine:5[widgets]
+"
+DEPEND="${RDEPEND}
+ >=dev-python/sip-4.19.22[${PYTHON_USEDEP}]
+"
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+ configuration() {
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ --qmake="$(qt5_get_bindir)"/qmake
+ $(usex debug '--debug --trace' '')
+ --verbose
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+
+ # Fix parallel install failure
+ sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_api' \
+ ${PN}.pro || die
+
+ # Run eqmake to respect toolchain and build flags
+ eqmake5 -recursive ${PN}.pro
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ emake INSTALL_ROOT="${D}" install
+ python_optimize
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+}
diff --git a/dev-python/PyQtWebEngine/metadata.xml b/dev-python/PyQtWebEngine/metadata.xml
new file mode 100644
index 000000000000..ea3ddab394e8
--- /dev/null
+++ b/dev-python/PyQtWebEngine/metadata.xml
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>qt@gentoo.org</email>
+ <name>Gentoo Qt Project</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>steils@gentoo.org</email>
+ <name>Stefan Strogin</name>
+ </maintainer>
+ <longdescription lang="en">
+ PyQtWebEngine is a set of Python bindings for The Qt Company's
+ Qt WebEngine libraries. The bindings sit on top of PyQt5 and
+ are implemented as a set of three modules. Prior to v5.12 these
+ bindings were part of PyQt5 itself.
+ </longdescription>
+ <upstream>
+ <maintainer status="active">
+ <email>phil@riverbankcomputing.com</email>
+ <name>Phil Thompson</name>
+ </maintainer>
+ <doc>https://www.riverbankcomputing.com/static/Docs/PyQt5/</doc>
+ <bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
+ <remote-id type="pypi">PyQtWebEngine</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>